HTTPTransport (Axis API)
Keywords: org.apache.axis.transport.http.HTTPTransport class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.http
Class HTTPTransport

    java.lang.Object
      org.apache.axis.client.Transport
          org.apache.axis.transport.http.HTTPTransport

public class HTTPTransport
extends Transport

Extends Transport by implementing the setupMessageContext function to set HTTP-specific message context fields and transport chains. May not even be necessary if we arrange things differently somehow. Can hold state relating to URL properties.

Author:
  Rob Jellinghaus (robj@unrealities.com), Doug Davis (dug@us.ibm.com), Glen Daniels (gdaniels@allaire.com)

Field Summary
`static java.lang.String` | `DEFAULT_TRANSPORT_NAME`
`static java.lang.String` | `URL` HTTP properties

Fields inherited from class org.apache.axis.client.Transport
`transportName, url`

Constructor Summary
`HTTPTransport()`
`HTTPTransport(java.lang.String url, java.lang.String action)` helper constructor

Method Summary
`void` | `processReturnedMessageContext(MessageContext context)` Allow the transport to grab any transport-specific stuff it might want from a returned MessageContext
`void` | `setupMessageContextImpl(MessageContext mc, Call call, AxisEngine engine)` Set up any transport-specific derived properties in the message context.

Methods inherited from class org.apache.axis.client.Transport
`getTransportName, getUrl, setTransportName, setupMessageContext, setUrl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_TRANSPORT_NAME

    public static final java.lang.String DEFAULT_TRANSPORT_NAME

See Also:
  Constant Field Values

### URL

    public static final java.lang.String URL

  HTTP properties

  See Also:
    Constant Field Values

Constructor Detail

### HTTPTransport

    public HTTPTransport()

### HTTPTransport

    public HTTPTransport(java.lang.String url,
                         java.lang.String action)

  helper constructor

Method Detail

### setupMessageContextImpl

    public void setupMessageContextImpl(MessageContext mc,
                                        Call call,
                                        AxisEngine engine)
                                 throws AxisFault

  Set up any transport-specific derived properties in the message context.

  Overrides:
    `setupMessageContextImpl` in class `Transport`
  Parameters:
    `mc` - the context to set up
    `call` - the call (unused?)
    `engine` - the engine containing the registries
  Throws:
    `AxisFault` - if service cannot be found

### processReturnedMessageContext

    public void processReturnedMessageContext(MessageContext context)

  Description copied from class: `Transport`
  Allow the transport to grab any transport-specific stuff it might want from a returned MessageContext

  Overrides:
    `processReturnedMessageContext` in class `Transport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.